title: Machine Translation
type: community
group: Natural Language Processing
image: /static/templates/machine-translation.png
details: |
  <h1>Translate text from one language to another</h1>
  <dl>
    <dt>Industry Applications</dt>
    <dd>localization, website translation, document translation, legal translation, medical translation, technical documentation, international business, e-commerce globalization, customer support, multilingual content, software localization, marketing translation</dd>
    <dt>Associated Models</dt>
    <dd>neural machine translation, transformer models, mT5, MarianMT, Google Translate API</dd>
    <dt>Domain Terminology</dt>
    <dd>NLP, post-editing, human evaluation, translation quality, BLEU score, cross-lingual</dd>
  </dl>
config: |
  <View>
    <View style="display: grid; grid-template: auto/1fr 1fr; column-gap: 1em">
      <Header value="Read the sentence in English" />
      <Header value="Provide translation in Spanish" />

    <Text name="english" value="$english" />

    <TextArea name="spanish" toName="english" transcription="true"
              showSubmitButton="true" maxSubmissions="1" editable="true"
              required="true"/>
    </View>
  </View>

